=== debian/changelog ===
bootscreen (0.3.2) unstable; urgency=low

  * Rebuild against last Qt-maemo

 -- Valerio Valerio <vdv100@gmail.com>  Sun, 18 Jul 2010 11:56:45 +0100
