=== debian/control ===
Source: bootscreen
Section: user/system
Priority: optional
Maintainer: Valerio Valerio <vdv100@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libosso-dev, libgtk2.0-dev
Standards-Version: 3.7.2

Package: bootscreen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bootscreen manager
 Manage the system startup media. Add multiple videos or play a random video on boot. 
 .
XB-Maemo-Display-Name: BootScreen
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1391
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oDCRYvIQMHV0IAAAkUSURBVGje1VlZSFTtG//NnNExHWfchnEhLQsX
 pEyr4S8jaRZtwlghZSRFEHbTctcXdNFFXfwvuqgIsqsWKYIWDdqk0NLAiAg0
 XKDMsNJpxhnHWZx9zv/iz/t6VufY9/FBD7yc5V3O87zP9nufA/zhpGJZ9i8l
 A91u93+i0aiWZVnEYjEIr9z7eDxOm9RY4TjhnMLCwomKiopJBWyFNAD+q0QA
 m82GQCCAeDyOaDRKmebeC5+XMo67bmpqqlIFzGnIXXt7Ozo7OxGPx2lvRUUF
 Ll68CI1GA7fbDb/fn/Dj3P7F+hYTMhAIAADC4TCuXr0Ku91OeVKr1WhubkZ1
 dTU1ITYYDCItLY3HPKFXr15hy5YtePHiBTwej6LdlhJEicCk7d+/H7t378bN
 mzdx5MgREU+lpaUYGxtb0EAoFJJkHgCCwSAAIBKJwOVy/S3TUCqUXq+nZitn
 zoQ0Cb1cpQIA1NXV4dOnTwiHw4jH42BZlncV3it5BsB7jsfjyM/PR319Pe/b
 i1FCAVJSUgAAer0eFovlXw2ROTk5ygRYtmwZtFotQqGQaEBaWhq9j0ajon6W
 ZWUX/50+tVqNpKQkEL6kiBulNACQnJyMe/fu4fnz57yBq1evhtlsBgAEAgGE
 w2ERA8LrYn1KxgJAVlYWtFotdu3ahaamJvz48WOBYY0GJ06c4CUyVlHAnZuj
 dvt3GFTSZzAYkJ6evrQ8AICGSUIZGRnUkbiOmIiJtLQ0UTLyeDwIBAK8+XLr
 yEVESZMjN9u3b4fBYEBWVhZtK1asgNPppAKQsCeEAMKrSqUCwzC8BkA0X24d
 IozNZoPFYsGqVatoKykpweXLl/km5PV6aewVUk9PDzZv3gyHw8Fz4sXMJyMj
 Q2QCLpcLHo9H0fzs7GxkZmbizp07aG1tFfFkMplILvi/CS2mMrIw14QS2bLU
 ekuZT64kicolV0V5gBBRv5IoIhUXCAJVwrzCuML3gUQktFuuT8RiMajVamRm
 ZsoKEI/HwTAMsrKyoFKpRPOlfEAJaQAgPT0dhYWFmJzkQ/CkpCSsWLGC58RS
 O6jX62E0GqFWq+FyuWQ1AADZ2dkwGAz48uULpqeneYyTRJaWloacnBwYjUZJ
 pouKivgCqNVqfPjwAW/fvuU56tq1a1FcXCxpw4Qpo9GIrKwskaaE5HK5MDU1
 heLiYmg0GpSVlcHv92NkZISXX1iWRV5eHgCgsbERt27dwvT0NF2HYRg0NTWJ
 fcBoNGLPnj2KfIB8jIRb4TgpDXi9XorzCa1fvx4+nw+fP3/mCUAEYhgGhw4d
 UgbmJiYm0Nvby9NAVVUVNm7cKKkBrVYLk8kkdfSkmhEKFolEROMtFgsmJyfh
 8/moANyNmpychMPh4EGJ8vJyJCcnLwgQi8VQU1ODX79+iaD0yMgIysrKRD6Q
 m5srYsZut2NsbAzr1q2T1ODs7CxmZmZ4KFOj0cBsNqO7u5sHsQGgv78fDQ0N
 IhBptVrx+PHjhSjk8/lEzBNGp6ameBqIxWJITk6GTqcT7fyTJ08QDAYlfSAW
 i2F+fh6PHj2C3+8XgUaNRoNoNIpIJEI3amBgQBIB9/X1/V4YJdFCCmj19fUh
 EAggEonIChCJROD1evHmzRteH8MwKCoqQiQS4c2XS7BcH1MvJZERIbhnBOKg
 ExMTlAGuDXM3gPQPDw/zoDkA5OXlIRKJ0BPfkvIAAVtyBwxhHhAe9ex2OyKR
 CHXC3t5e9PT00Gdhlg2Hw3A4HCgoKKBr6HQ6KhT5jhxfhCeqAZ1Oh9bWVtGE
 yspKVFVV8XzA6XSKTm6hUIjuLrcRmyYtHA7Te2FIZRhGZEJ1dXX0SMulHTt2
 iMNoR0cHOjo6FvUBj8eD4eFhlJeX8/rS09N5H+buPBfgCRGrMAiQMEvWMZvN
 mJqawuzsLE/Q5cuXLx3MhUIhDA0NIRAIwOl0YuXKlbQvPz8fGo0G8/PzIuaF
 CJXAZeGB3W63IxqNivJAZmYmxViLJrIbN25InonPnz8PhmEwOjoKr9cLlmUx
 OjqKDRs28HaltrYWT58+lRRA6Adbt24VMTI4OEi1SISNxWJob2/H9+/fefis
 paUFFRUVCwIEg0G0tbVJxtzGxkZYLBY4nU7qqGNjY/D5fLxcUFtbi/HxcQwO
 DkqaERGgpqaGZnfu7o+Pj/NqRwBw9+5dHD9+XMTTgwcPMDo6uuDEoVBIknkA
 NOkQhwyHwwgEAnj58qUoMhw+fBgNDQ20ksdtDMPAarXi4MGDom/cv3+f5+DE
 hH7+/CnJExfcJfQB4ljRaJSGOZZl8fr1a1RVVVG4TYSwWq2or6/H0NAQbDYb
 VCoV8vLyUFlZKcofxHQGBgZ4Ti6VR367MsctahFhiElcu3YNZ86cETmZXq9H
 bW1twjWnpqZw6dIlhMNhSYdXfCJLSUmh1TC5yhxXxaTZ7XZcuHBBdBBSQqOj
 ozh79izm5uZEuYIIIPefQFSZ02q1uH37Nrq6unjSr1mzBnV1dVQDJMxxQ6LN
 ZsO5c+dgtVrR2NhIYa4c+f1+PHz4EF1dXSKNCuH0vn370N3dzQOaarUax44d
 W3pl7uTJk3A6nbLJimVZGAwGWCwWmM1mFBQUICMjAyzLwu12Y2JiAu/evUN/
 fz8Nx3JrHT16FC0tLUuvzCXyAWKrcgI4HA50dnbSPz0Mw/D+k8klNjkNLKkq
 sXfvXqhUKl4rKSnBzMwMTSByuEauBYNBSZyUaK5Wq6XhsqGhgVeZKysrw/Xr
 1/km5PP5ZIupz549w86dO/Hx40e6s1L1TSnUmeheGHHIOfv06dPQ6XS4cuUK
 Tp06JeIpNzeX5II5TaK4Sz5QXV1Nf6z9WzQ/Py/5notk1fjDSbETB4NBeDwe
 +kNOqqLGvcq9kxtDWmpqKrZt20b9QHFlLj8/nx7guSiTFLa+ffsGv99P84Hw
 b6Pcu8X65N4bDAZs2rSJh/u5JDoPqNVqvH//HgMDA7wDc2lpKT28OBwOKgD3
 gwR8/ZMCud1uAEBLSwv8fj++fv1KedJqtThw4IDYhAoKCtDc3CyrKlLf/13m
 liIscV6GYdDW1pbQhI4psTWTybQmIyMjmVuh40KLf/KdyWT6CcCmgK3wnx6E
 8D/+s22yggTVbgAAAABJRU5ErkJggg==
