## bootscreen 0.3.3

=== debian/changelog ===
bootscreen (0.3.3) unstable; urgency=low

  * Update control and desktop file

 -- Valerio Valerio <vdv100@gmail.com>  Sun, 18 Jul 2010 15:20:56 +0100
