## bootscreen 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bootscreen
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:20:58 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 15:09:12 2010
 # Project:  bootscreen.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -unix -o Makefile bootscreen.pro
