=== plugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libbooscreentpanelplugin.so
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:20:54 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 15:09:07 2010
 # Project:  plugin.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -o Makefile plugin.pro
@@ -193,20 +193,9 @@
 
 ####### Install
 
-install_plugin: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 
-	-$(INSTALL_PROGRAM) /home/valerio/bootcreen/plugin/libbooscreentpanelplugin.so $(INSTALL_ROOT)/usr/lib/hildon-control-panel/
-	-strip $(INSTALL_ROOT)/usr/lib/hildon-control-panel/libbooscreentpanelplugin.so
-
-
-uninstall_plugin:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/hildon-control-panel/libbooscreentpanelplugin.so
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 
-
-
-install:  install_plugin  FORCE
-
-uninstall: uninstall_plugin   FORCE
+install:   FORCE
+
+uninstall:   FORCE
 
 FORCE:
