=== debian/changelog ===
bootscreen (0.3.4) unstable; urgency=low

  * Upgrade dependencies

 -- Valerio Valerio <vdv100@gmail.com>  Sun, 18 Jul 2010 16:15:10 +0100
