=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Standards-Version: 3.7.2
 
 Package: bootscreen
-Architecture: any
+Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: bootscreen manager
+Description: bootscreen control panel applet
  Manage the system startup media. Add multiple videos or play a random video on boot. 
  .
 XB-Maemo-Display-Name: BootScreen
